Bug 178341 - Anaconda ignores repodata
Anaconda ignores repodata
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-19 11:26 EST by Jasper O. Hartline
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-28 00:23:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
createrepo log file (51.40 KB, text/plain)
2006-01-19 11:29 EST, Jasper O. Hartline
no flags Details
End of anaconda.log in /tmp (1.04 KB, text/plain)
2006-01-19 11:33 EST, Jasper O. Hartline
no flags Details

  None (edit)
Description Jasper O. Hartline 2006-01-19 11:26:23 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050923 Fedora/1.7.12-1.5.1

Description of problem:
Using Anaconda 10.91.4-1 from the development repositories
and createrepo-0.4.3-5.1 which is also from development (or updates-testing)
I create a repo like so: createrepo -g comps.xml /<path>/RPMS
and it finishes. However, while trying to use Anaconda with Kadischi
Anaconda drops with an exception right at installing packages (0%)

Missing lftp-3.3.5-4.i386.rpm from repo: anaconda
(which is in /tmp/yum.conf.)

To my knowledge I am using createrepo correctly.
This is all done on an FC5t2 Fedora Core machine.
I'll attach the createrepo.log I've create with:
createrepo -g comps.xml /pub/test/Fedora/RPMS
you will see lftp is processed as package number 66.


Version-Release number of selected component (if applicable):
anaconda-10.91.4-1

How reproducible:
Always

Steps to Reproduce:
1. createrepo -g comps.xml /pub/test/Fedora/RPMS
2. kadischi --text /pub /tmp/test2.iso
3. Anaconda Excpetion, missing lftp-3.3.5-4.i386.rpm 
  

Actual Results:  Fatal Anaconda exception, missing package lftp.

Expected Results:  Anaconda should read in the repodata correctly.

Additional info:

Attached is createrepo.log, lftp is processed as package 66.
Comment 1 Jasper O. Hartline 2006-01-19 11:29:03 EST
Created attachment 123449 [details]
createrepo log file
Comment 2 Jasper O. Hartline 2006-01-19 11:33:11 EST
Created attachment 123450 [details]
End of anaconda.log in /tmp
Comment 3 Paul Nasrat 2006-01-19 11:50:48 EST
Your createrepo is incorrect for anaconda (we need to document the new way to do
things), for an nfs/http install you simply need to do:

cd /pub/test
createrepo -g Fedora/base/comps.xml .

For media based installs you have to use pkgorder and splittree.py and create a
split metadata using: 

createrepo -g Fedora/base/comps.xml --split -q -u media://<discinfo stamp>
--basedir /pub/test i386

(assuming /pub/test has the disc1 ... N dirs in)

Note You need to log in before you can comment on or make changes to this bug.